curl --request POST \
--url 'https://api.workstream.stateset.com/v1/brands' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"slug": "acme-outdoors",
"name": "Two-Person Tent",
"tenant_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"status": "pending",
"routing_mode": "string"
}'
{
"brand": {
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"tenant_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"slug": "acme-outdoors",
"display_name": "Ada Lovelace",
"status": "pending",
"routing_mode": "string",
"canary_percent": 8,
"region": "CA",
"default_locale": "string",
"policy_set_key": "string",
"quotas": {},
"metadata": {},
"config_version": 1,
"config_fingerprint": "string",
"activated_at": "2026-08-31T14:22:05Z",
"created_at": "2026-08-31T14:22:05Z",
"updated_at": "2026-08-31T14:22:05Z",
"workflow_bindings": [
{
"workflow_type": null,
"template_key": null,
"template_version": null,
"task_queue": null,
"enabled": null,
"deterministic_config": null
}
]
},
"idempotent_replay": true
}
Create brand
Create brand
POST
/
v1
/
brands
curl --request POST \
--url 'https://api.workstream.stateset.com/v1/brands' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"slug": "acme-outdoors",
"name": "Two-Person Tent",
"tenant_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"status": "pending",
"routing_mode": "string"
}'
{
"brand": {
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"tenant_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"slug": "acme-outdoors",
"display_name": "Ada Lovelace",
"status": "pending",
"routing_mode": "string",
"canary_percent": 8,
"region": "CA",
"default_locale": "string",
"policy_set_key": "string",
"quotas": {},
"metadata": {},
"config_version": 1,
"config_fingerprint": "string",
"activated_at": "2026-08-31T14:22:05Z",
"created_at": "2026-08-31T14:22:05Z",
"updated_at": "2026-08-31T14:22:05Z",
"workflow_bindings": [
{
"workflow_type": null,
"template_key": null,
"template_version": null,
"task_queue": null,
"enabled": null,
"deterministic_config": null
}
]
},
"idempotent_replay": true
}
Request body
BrandInput
Response
object
Brand record
Show brand
Show brand
Status codes
| Code | Meaning |
|---|---|
201 | Brand created. |
400 | Validation error |
401 | Unauthorized |
404 | Not found |
429 | Rate limited |
500 | Internal error |
curl --request POST \
--url 'https://api.workstream.stateset.com/v1/brands' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"slug": "acme-outdoors",
"name": "Two-Person Tent",
"tenant_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"status": "pending",
"routing_mode": "string"
}'
{
"brand": {
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"tenant_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"slug": "acme-outdoors",
"display_name": "Ada Lovelace",
"status": "pending",
"routing_mode": "string",
"canary_percent": 8,
"region": "CA",
"default_locale": "string",
"policy_set_key": "string",
"quotas": {},
"metadata": {},
"config_version": 1,
"config_fingerprint": "string",
"activated_at": "2026-08-31T14:22:05Z",
"created_at": "2026-08-31T14:22:05Z",
"updated_at": "2026-08-31T14:22:05Z",
"workflow_bindings": [
{
"workflow_type": null,
"template_key": null,
"template_version": null,
"task_queue": null,
"enabled": null,
"deterministic_config": null
}
]
},
"idempotent_replay": true
}
Last modified on August 31, 2026